#include<Trade\Trade.mqh>


// Create an instance of CTrade
CTrade trade;

void OnTick()
  {
   // We create a string for the signal
   string signal ="";
   
   // We calculate the Ask price
   double Ask=NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_ASK),_Digits);
   
   // We calculate the Bid price
   double Bid=NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_BID),_Digits;
   
   // We create an array for the price data
   double PriceArray[0];
   
   //We sort the price array from the current candle downwards
   ArraySetAsSeries(PriceArray,true);
   
   // We define the properties for the MacD EA
   int MacDDefinition = iMACD(_Symbol,_Period,12,26,9,PRICE_CLOSE);
   
   // Defined EA,buffer 0,current candle,for 3 candles, store in array
   CopyBuffer(MacDDefinition,0,0,3,PriceArray);
   
   //We calculate the EA for the candle
   float MacDValue=(PriceArray[0]);
   
   // We calculate the EA for the candle before
   float LastMacDValue=(PriceArray[1]);
   
   // Calculate buy signal
   if (MacDValue>0 && LastMacDValue<0)
   signal="buy";
   
   // Calculate seel signal
   if (MacDValue<0 && LastMacDValue>0)
   signal="sell";
   
   // Buy 20 Microlot
   if (signal =="buy" && PositionsTotal()<1)
   trade.Buy(0.20,NULL,Ask,0,(Ask+150 * _Point),NULL);
   
   // Sell 0.20 Microlot
   if (signal =="buy" && PositionsTotal()<1)
   trade.Sell(0.20,NULL,Bid,0,(Bid-150 * _Point),NULL);
   
   // Create a chart output
   Comment ("The current signal is: ",signal);
   
  }
